SDO DAS XML Functions
SDO_DAS_XML::create
SDO DAS XML Functions
PHP Manual

# SDO_DAS_XML::addTypes

To load a second or subsequent schema file to a SDO_DAS_XML object

### Description

void SDO_DAS_XML::addTypes ( string `$xsd_file` )

Load a second or subsequent schema file to an XML DAS that has already been created with the static method create. Although the file may be any valid schema file, a likely reason for using this method is to add a schema file containing definitions of extra complex types, hence the name. See Example 4 of the parent document for an example.

### Parameters

`xsd_file`

  Path to XSD Schema file.

### Return Values

None if successful, otherwise throws an exception as described below.

### Errors/Exceptions

`SDO_TypeNotFoundException`

  Thrown if a type is not defined in the underlying model.

`SDO_DAS_XML_ParserException`

  Thrown for any problems while parsing the given XSD File.

`SDO_DAS_XML_FileException`

  Thrown if the specified file cannot be found.